Package org.eclipse.handly.util

# Class SavedStateJob

java.lang.Object
org.eclipse.core.runtime.PlatformObject
org.eclipse.core.internal.jobs.InternalJob
org.eclipse.core.runtime.jobs.Job
org.eclipse.core.internal.resources.InternalWorkspaceJob
org.eclipse.core.resources.WorkspaceJob
org.eclipse.handly.util.SavedStateJob

All Implemented Interfaces:
  `Comparable<org.eclipse.core.internal.jobs.InternalJob>`, `org.eclipse.core.runtime.IAdaptable`

public class SavedStateJob extends org.eclipse.core.resources.WorkspaceJob
A workspace job to process notification of resource changes that might have happened while a given plug-in was not active.

See Also:
  - `ISavedState`

- ## Field Summary

  ### Fields inherited from class org.eclipse.core.runtime.jobs.Job

  `ASYNC_FINISH, BUILD, DECORATE, INTERACTIVE, LONG, NONE, RUNNING, SHORT, SLEEPING, WAITING`

  ### Fields inherited from class org.eclipse.core.internal.jobs.InternalJob

  `manager`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SavedStateJob(String pluginId, org.eclipse.core.resources.IResourceChangeListener listener)`
  Constructs a saved state job.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.eclipse.core.runtime.IStatus`
  `runInWorkspace(org.eclipse.core.runtime.IProgressMonitor monitor)`

  ### Methods inherited from class org.eclipse.core.internal.resources.InternalWorkspaceJob

  `run`

  ### Methods inherited from class org.eclipse.core.runtime.jobs.Job

  `addJobChangeListener, belongsTo, cancel, canceling, create, create, createSystem, createSystem, done, getJobGroup, getJobManager, getName, getPriority, getProperty, getResult, getRule, getState, getThread, isBlocking, isSystem, isUser, join, join, removeJobChangeListener, schedule, schedule, setJobGroup, setName, setPriority, setProgressGroup, setProperty, setRule, setSystem, setThread, setUser, shouldRun, shouldSchedule, sleep, toString, wakeUp, wakeUp, yieldRule`

  ### Methods inherited from class org.eclipse.core.internal.jobs.InternalJob

  `compareTo`

  ### Methods inherited from class org.eclipse.core.runtime.PlatformObject

  `getAdapter`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SavedStateJob

    public SavedStateJob(String pluginId, org.eclipse.core.resources.IResourceChangeListener listener)
    Constructs a saved state job.
    Parameters:
      `pluginId` - the unique identifier of the plug-in (not `null`)
      `listener` - the resource change listener to process a `POST_BUILD` event supplied by the saved state for the given plug-in (not `null`)

- ## Method Details

  - ### runInWorkspace

    public org.eclipse.core.runtime.IStatus runInWorkspace(org.eclipse.core.runtime.IProgressMonitor monitor) throws org.eclipse.core.runtime.CoreException
    Specified by:
      `runInWorkspace` in class `org.eclipse.core.resources.WorkspaceJob`
    Throws:
      `org.eclipse.core.runtime.CoreException`